# Desc: Checks for valid conditions:
# Called by: main:order(tag)
# Datapack made by TheDiamondPlayables

# Interpretations:
# #variable1: Time until another Merchant spawns (set in days)
# #variable2: Merchant Despawn Time (set in days)
# #variable3: Amount of Sell Trades that Merchant offers (currently unused)
# #variable4: Amount of Buy Trades that Merchant offers 
# #variable5: Overworld Time Left until the next Merchant spawns
# #variable6: Nether Time Left until the next Merchant spawns
# #variable7: End Time Left until the next Merchant spawns
# #variable8: Buy Trades Remaining
# #variable9: Sell Trades Remaining
# #variable10: Max Trade Times
# #variable11: Category Randomizer
# #variable12: Trade Randomizer
# #variable13: Value Randomizer

# Overworld:
execute unless score #variable5 m_options matches ..0 run scoreboard players remove #variable5 m_options 1

execute as @a[limit=1,nbt={Dimension:0}] at @s if score #variable5 m_options matches ..0 run function merchant:overworld/spawn

# Nether:
execute unless score #variable6 m_options matches ..0 run scoreboard players remove #variable6 m_options 1

execute as @a[limit=1,nbt={Dimension:-1}] at @s if score #variable6 m_options matches ..0 run function merchant:nether/spawn

# The End:
execute unless score #variable7 m_options matches ..0 run scoreboard players remove #variable7 m_options 1

execute as @a[limit=1,nbt={Dimension:1}] at @s if score #variable7 m_options matches ..0 run function merchant:the_end/spawn

# Enable trigger commands:
scoreboard players enable @a m_info

# Test for Info Function:
execute as @a[scores={m_info=1..}] run function merchant:info_message